Package org.apache.commons.imaging.formats.jpeg.xmp

## Class JpegRewriter.JFIFPieceSegment

- java.lang.Object
- - org.apache.commons.imaging.formats.jpeg.xmp.JpegRewriter.JFIFPiece
  - - org.apache.commons.imaging.formats.jpeg.xmp.JpegRewriter.JFIFPieceSegment

- Enclosing class:
    JpegRewriter

      protected static class JpegRewriter.JFIFPieceSegment
      extends JpegRewriter.JFIFPiece

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `int` | `marker` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `JFIFPieceSegment​(int marker, byte[] segmentData)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `byte[]` | `getSegmentData()` |
    `boolean` | `isApp1Segment()` |
    `boolean` | `isAppSegment()` |
    `boolean` | `isExifSegment()` |
    `boolean` | `isPhotoshopApp13Segment()` |
    `boolean` | `isXmpSegment()` |
    `String` | `toString()` |
    `protected void` | `write​(OutputStream os)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### marker

          public final int marker

  - ### Constructor Detail

    - #### JFIFPieceSegment

          public JFIFPieceSegment​(int marker,
                                  byte[] segmentData)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `JpegRewriter.JFIFPiece`

    - #### write

          protected void write​(OutputStream os)
                        throws IOException

      Specified by:
        `write` in class `JpegRewriter.JFIFPiece`
      Throws:
        `IOException`

    - #### isApp1Segment

          public boolean isApp1Segment()

    - #### isAppSegment

          public boolean isAppSegment()

    - #### isExifSegment

          public boolean isExifSegment()

    - #### isPhotoshopApp13Segment

          public boolean isPhotoshopApp13Segment()

    - #### isXmpSegment

          public boolean isXmpSegment()

    - #### getSegmentData

          public byte[] getSegmentData()